# Common errors

#### **ESX 1.1 ONLY**

{% hint style="danger" %}
**SCRIPT ERROR: @okokMarketplace/server.lua:611: attempt to call a nil value (field 'canCarryItem')**
{% endhint %}

Go to the **server.lua** file and replace:

```lua
if blackmarket[1].type == "item" and xPlayer.canCarryItem(blackmarket[1].item_id, 1) then
```

With:

```lua
if blackmarket[1].type == "item" then
```

Replace:

```lua
elseif blackmarket[1].type == "item" and not xPlayer.canCarryItem(blackmarket[1].item_id, tonumber(blackmarket[1].amount)) then
```

With:

```lua
elseif blackmarket[1].type == "item" then
```

Replace:

```lua
if xPlayer.canCarryItem(items[1].item_id, tonumber(items[1].amount)) then
```

With:

```lua
if true then
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokmarketplace/common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
